Changes between Version 1 and Version 2 of Ticket #26096


Ignore:
Timestamp:
01/18/2016 09:36:54 PM (5 years ago)
Author:
Alex Krupp
Comment:

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #26096 – Description

    v1 v2  
    88
    99{{{
    10 Type 'yes' if you would like to try deleting the test database 'test_fwd_api', or 'no' to cancel: yes
     10Type 'yes' if you would like to try deleting the test database 'test_myapp_api', or 'no' to cancel: yes
    1111Destroying old test database for alias 'default'...
    1212Cloning test database for alias 'default'...
    1313Got an error cloning the test database: unorderable types: str() >= int()
    1414Traceback (most recent call last):
    15   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/backends/utils.py", line 62, in execute
     15  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/backends/utils.py", line 62, in execute
    1616    return self.cursor.execute(sql)
    17 psycopg2.ProgrammingError: database "test_fwd_api_1" already exists
     17psycopg2.ProgrammingError: database "test_myapp_api_1" already exists
    1818 
    1919The above exception was the direct cause of the following exception:
    2020 
    2121Traceback (most recent call last):
    22   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/backends/postgresql/creation.py", line 29, in _clone_test_db
     22  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/backends/postgresql/creation.py", line 29, in _clone_test_db
    2323    qn(target_database_name), qn(source_database_name)))
    24   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/backends/utils.py", line 64, in execute
     24  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/backends/utils.py", line 64, in execute
    2525    return self.cursor.execute(sql, params)
    26   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/utils.py", line 95, in __exit__
     26  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/utils.py", line 95, in __exit__
    2727    six.reraise(dj_exc_type, dj_exc_value, traceback)
    28   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/utils/six.py", line 685, in reraise
     28  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/utils/six.py", line 685, in reraise
    2929    raise value.with_traceback(tb)
    30   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/backends/utils.py", line 62, in execute
     30  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/backends/utils.py", line 62, in execute
    3131    return self.cursor.execute(sql)
    32 django.db.utils.ProgrammingError: database "test_fwd_api_1" already exists
     32django.db.utils.ProgrammingError: database "test_myapp_api_1" already exists
    3333 
    3434 
     
    3636 
    3737Traceback (most recent call last):
    38   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/backends/postgresql/creation.py", line 36, in _clone_test_db
     38  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/backends/postgresql/creation.py", line 36, in _clone_test_db
    3939    self._get_database_display_str(target_database_name, verbosity),
    40   File "/home/vagrant/user/.pyenv/versions/fwd343/lib/python3.4/site-packages/django/db/backends/base/creation.py", line 140, in _get_database_display_str
     40  File "/home/vagrant/user/.pyenv/versions/myapp343/lib/python3.4/site-packages/django/db/backends/base/creation.py", line 140, in _get_database_display_str
    4141    (" ('%s')" % database_name) if verbosity >= 2 else '',
    4242TypeError: unorderable types: str() >= int()
Back to Top